import { IParkingSource } from "#sch/models/interfaces/IParkingSource";

export const sourceLookupTestData: IParkingSource[] = [
    {
        source: "ipr",
        name: "Institut plánování a rozvoje hlavního města Prahy",
        open_data: false,
        api_v3_allowed: false,
        legacy_api_allowed: true,
        payment: null,
        reservation: null,
        contact: null,
        datasource_parking: null,
        datasource_locations: null,
        datasource_payments: null,
        datasource_entrances: null,
        datasource_prohibitions: null,
        datasource_tariffs: null,
    },
    {
        source: "isphk",
        name: "Integrovaný systém parkování Hradec Králové",
        open_data: true,
        api_v3_allowed: true,
        legacy_api_allowed: false,
        payment: null,
        reservation: { type: "not_possible", ios_url: null, web_url: null, android_url: null, discovery_url: null },
        contact: { email: "zadosti@isphk.cz", phone: "800 101 039", web_url: "https://www.isphk.cz/", term_of_use_url: null },
        datasource_parking: "http://parking.example.com",
        datasource_locations: "http://parking_locations.example.com",
        datasource_payments: null,
        datasource_entrances: "http://parking_entrances.example.com",
        datasource_prohibitions: null,
        datasource_tariffs: "http://parking_tariffs.example.com",
    },
    {
        source: "korid",
        name: null,
        open_data: true,
        api_v3_allowed: true,
        legacy_api_allowed: true,
        payment: {
            ios_url: null,
            web_url: "https://ke-utc.appspot.com/static/onstreet.html?shortname=LB{source_id}",
            android_url: null,
            discovery_url: null,
        },
        reservation: { type: "not_possible", ios_url: null, web_url: null, android_url: null, discovery_url: null },
        contact: {
            email: "pomoc@parking.liberec.cz",
            phone: "+420604295403",
            web_url: "https://parking.liberec.cz/",
            term_of_use_url:
                "https://www.liberec.cz/cz/prakticke-informace/doprava-udrzba-komunikaci/parkovaci-mista/parkovaci-mista.html",
        },
        datasource_parking: null,
        datasource_locations: null,
        datasource_payments: null,
        datasource_entrances: null,
        datasource_prohibitions: null,
        datasource_tariffs: null,
    },
    {
        source: "manual",
        name: null,
        open_data: false,
        api_v3_allowed: false,
        legacy_api_allowed: true,
        payment: null,
        reservation: null,
        contact: null,
        datasource_parking: null,
        datasource_locations: null,
        datasource_payments: null,
        datasource_entrances: null,
        datasource_prohibitions: null,
        datasource_tariffs: null,
    },
    {
        source: "mr_parkit",
        name: null,
        open_data: true,
        api_v3_allowed: true,
        legacy_api_allowed: false,
        payment: null,
        reservation: {
            type: "required",
            ios_url: null,
            web_url: "https://www.mrparkit.com/",
            android_url: null,
            discovery_url: null,
        },
        contact: {
            email: "info@mrparkit.com",
            phone: "+420 277 277 977",
            web_url: "https://www.mrparkit.com/",
            term_of_use_url: "https://www.mrparkit.com/cs/pravni-dokumenty",
        },
        datasource_parking: null,
        datasource_locations: null,
        datasource_payments: null,
        datasource_entrances: null,
        datasource_prohibitions: null,
        datasource_tariffs: null,
    },
    {
        source: "osm",
        name: null,
        open_data: false,
        api_v3_allowed: true,
        legacy_api_allowed: false,
        payment: null,
        reservation: null,
        contact: null,
        datasource_parking: null,
        datasource_locations: null,
        datasource_payments: "http://parking_payments.example.com",
        datasource_entrances: null,
        datasource_prohibitions: null,
        datasource_tariffs: null,
    },
    {
        source: "pmdp",
        name: null,
        open_data: true,
        api_v3_allowed: true,
        legacy_api_allowed: false,
        payment: null,
        reservation: { type: "not_possible", ios_url: null, web_url: null, android_url: null, discovery_url: null },
        contact: {
            email: "parking@pmdp.cz",
            phone: "+420 378 035 420",
            web_url: "https://www.parkingplzen.cz/",
            term_of_use_url: null,
        },
        datasource_parking: "http://parking.example.com",
        datasource_locations: "http://parking_locations.example.com",
        datasource_payments: null,
        datasource_entrances: "http://parking_entrances.example.com",
        datasource_prohibitions: null,
        datasource_tariffs: null,
    },
    {
        source: "smart4city",
        name: null,
        open_data: true,
        api_v3_allowed: true,
        legacy_api_allowed: false,
        payment: {
            ios_url: "https://apps.apple.com/cz/app/smart4city-parkov%C3%A1n%C3%AD/id1173793287?l=cs?l=cs",
            web_url: null,
            android_url: "https://play.google.com/store/apps/details?id=com.spel.smart4city2",
            discovery_url: null,
        },
        reservation: { type: "not_possible", ios_url: null, web_url: null, android_url: null, discovery_url: null },
        contact: {
            email: "info@smart4city.cz",
            phone: "+420 602 467 614",
            web_url: "https://www.smart4city.cz/",
            term_of_use_url: "",
        },
        datasource_parking: null,
        datasource_locations: null,
        datasource_payments: null,
        datasource_entrances: null,
        datasource_prohibitions: null,
        datasource_tariffs: null,
    },
    {
        source: "test_cases",
        name: null,
        open_data: false,
        api_v3_allowed: true,
        legacy_api_allowed: false,
        payment: null,
        reservation: null,
        contact: null,
        datasource_parking: "http://parking.example.com",
        datasource_locations: "http://parking_locations.example.com",
        datasource_payments: null,
        datasource_entrances: "http://parking_entrances.example.com",
        datasource_prohibitions: null,
        datasource_tariffs: "http://parking_tariffs.example.com",
    },
    {
        source: "tsk",
        name: "Technická správa komunikací hl. m. Prahy",
        open_data: false,
        api_v3_allowed: false,
        legacy_api_allowed: true,
        payment: { ios_url: null, web_url: "", android_url: null, discovery_url: null },
        reservation: null,
        contact: {
            email: "parking@tsk-praha.cz",
            phone: "+420 257 015 257",
            web_url: "https://parking.praha.eu/",
            term_of_use_url: "https://parking.praha.eu/cs/moznosti-parkovani-v-praze/parkovani-v-zonach/",
        },
        datasource_parking: null,
        datasource_locations: null,
        datasource_payments: null,
        datasource_entrances: null,
        datasource_prohibitions: null,
        datasource_tariffs: null,
    },
    {
        source: "tsk_v2",
        name: "Technická správa komunikací hl. m. Prahy",
        open_data: false,
        api_v3_allowed: true,
        legacy_api_allowed: false,
        payment: {
            ios_url: null,
            web_url: "https://ke-utc.appspot.com/static/onstreet.html?shortname={name}",
            android_url: null,
            discovery_url: null,
        },
        reservation: { type: "not_possible", ios_url: null, web_url: null, android_url: null, discovery_url: null },
        contact: {
            email: "parking@tsk-praha.cz",
            phone: "+420 257 015 257",
            web_url: "https://parking.praha.eu/",
            term_of_use_url: "https://parking.praha.eu/cs/moznosti-parkovani-v-praze/parkovani-v-zonach/",
        },
        datasource_parking: null,
        datasource_locations: null,
        datasource_payments: null,
        datasource_entrances: null,
        datasource_prohibitions: null,
        datasource_tariffs: null,
    },
];
